import robot


def count_boxes():
    """
    Counts the number of boxes at or above the current level. Return an integer.
    """
    number_of_boxes = 0
    while robot.sense_color() != "":
        robot.lift_up()
        number_of_boxes = number_of_boxes + 1
    number_down = 0
    while number_down < number_of_boxes:
        robot.lift_down()
        number_down = number_down + 1
    return number_of_boxes


robot.init(pos=0, height=9, boxes=[[], [], ["red", "green", "blue", "yellow", "black"]])

robot.drive_right()
n = count_boxes()
print("There are", n, "boxes!")